com.trendmicro.ds.platform.rest.object.syslogconfiguration

## Class ModifySyslogConfigurationRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.syslogconfiguration.ModifySyslogConfigurationRequest

-     public class ModifySyslogConfigurationRequest
      extends java.lang.Object

  Request object for the ModifySyslogConfiguration API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifySyslogConfigurationRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SyslogConfiguration` | `getSyslogConfiguration()` Get the syslog configuration.
    `void` | `setSyslogConfiguration(SyslogConfiguration syslogConfiguration)` Set the syslog configuration.
    `ModifySyslogConfigurationRequest` | `withSyslogConfiguration(SyslogConfiguration syslogConfiguration)` Set the syslog configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifySyslogConfigurationRequest

          public ModifySyslogConfigurationRequest()

  - ### Method Detail

    - #### getSyslogConfiguration

          public SyslogConfiguration getSyslogConfiguration()

      Get the syslog configuration.
      Returns:
        the syslog configuration.

    - #### setSyslogConfiguration

          public void setSyslogConfiguration(SyslogConfiguration syslogConfiguration)

      Set the syslog configuration.
      Parameters:
        `syslogConfiguration` - the syslog configuration.

    - #### withSyslogConfiguration

          public ModifySyslogConfigurationRequest withSyslogConfiguration(SyslogConfiguration syslogConfiguration)

      Set the syslog configuration.
      Parameters:
        `syslogConfiguration` - the syslog configuration.
      Returns:
        the updated request object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.